Jumpy Plugin (26 October 2016)

Discuss third party additions, plugins and translations for Universal Media Server
infidel
Developer
Posts: 571
Joined: Thu Jul 12, 2012 5:37 am

Re: Jumpy Plugin (17 May 2013)

Post by infidel » Wed Jul 10, 2013 2:13 am

S7eele wrote:1) Can the standalone version of Py4J still be used with Jumpy or is the one in the lib directory required?
py4j is a code library not a standalone program. The custom version adds patches to py4j-0.7 required for the resolver service to work right in Windows. There's a brand new release (py4j-0.8) which fixes most of the issues, so jumpy will probably switch back to the official version in the future.
S7eele wrote:2) The bin.path setting ... can it also be used to point to a standalone Py4J install?
No, libraries are linked internally by a different mechanism. If you really wanted to revert, you'd rename the lib/py4j folder to something else, remove py4j0.7-97b47c.jar and make sure the official py4j0.7.jar (or a renamed 0.8 jar) is present. Results are not guaranteed :).
S7eele wrote:the Navi-X thing ...
I don't have anything new to say on this, the addon hasn't been updated in a long while, I got mixed results when I tried it.

User avatar
S7eele
Posts: 104
Joined: Thu Jun 07, 2012 8:12 am

Re: Jumpy Plugin (17 May 2013)

Post by S7eele » Wed Jul 10, 2013 12:23 pm

infidel wrote:
S7eele wrote:1) Can the standalone version of Py4J still be used with Jumpy or is the one in the lib directory required?
py4j is a code library not a standalone program. The custom version adds patches to py4j-0.7 required for the resolver service to work right in Windows. There's a brand new release (py4j-0.8) which fixes most of the issues, so jumpy will probably switch back to the official version in the future.
S7eele wrote:2) The bin.path setting ... can it also be used to point to a standalone Py4J install?
No, libraries are linked internally by a different mechanism. If you really wanted to revert, you'd rename the lib/py4j folder to something else, remove py4j0.7-97b47c.jar and make sure the official py4j0.7.jar (or a renamed 0.8 jar) is present. Results are not guaranteed :).
S7eele wrote:the Navi-X thing ...
I don't have anything new to say on this, the addon hasn't been updated in a long while, I got mixed results when I tried it.
Sorry about misuse of terms or inaccurate use of words, never claimed to know what the stuff is called or what exactly it does, I was always more of a networking guru. I was trying to use generic terms wherever possible. :oops: That's one of the main reasons I try to learn as much as possible about each element involved. You continue to help me learn and I appreciate you taking the time to do so. I believe I am good on all points with the exception of a minor one regarding PhantomJS that I think you just missed. I understand your explanation of Py4J as a library vs. program and probably even knew it at some level.

Regarding the bin.path setting:

a) I completely understand what you said regarding the use of the bin.path config as it relates to Py4J but it left me wondering. Is the bin.path setting still used to point to PhantomJS?

Regarding the Navi-X add-on in XBMC, I am fairly certain it was just updated to 3.7.8, unless you are talking about a different version such as the video-add-on for Navi-X 3.7.6 that UMSFAN pointed me too. It worked extremely well with Jumpy until Navi-X 3.7.7 was released. I have had limited success modifying the recent Navi-X versions of addon.xml to have XBMC recognize it as a Video add-on. It shows up under video add-ons in XBMC but still doesn't show up in Jumpy. Pretty sure it has to do with the fact it is an extension to the .script portion of XBMC vice the .plugin. I have no idea what the lingo and details are so I am just pasting a copy of the Navi-X version 3.7.8 addon.xml that I modified to give you an idea of what I am talking about:
<?xml version="1.0" encoding="UTF-8" standalone="true"?>
-<addon provider-name="Navi-X team" version="3.7.8" name="Navi-X" id="script.navi-x"> -<requires> <import version="1.0" addon="xbmc.python"/> </requires> -<extension library="default.py" point="xbmc.python.script"> <provides>video</provides> </extension> -<extension point="xbmc.addon.metadata"> <platform>all</platform> <minversion>28764</minversion> <summary lang="en">Media browser</summary> <description lang="en">Media browser</description> </extension> </addon>
The part in bold is where it is specifying it is a script extension vice plugin extension which is represented as "xbmc.python.plugin". That was an easy enough difference for me to notice when comparing it to an addon that worked with Jumpy. The underlined text is what I added in an attempt to get it to show up as a video add-on. As I said, it shows up properly in XBMC but not in Jumpy. Although that change was based on some pretty dated forum posts it worked at least part way. From what I understand you could actually put multiple entries in the provider section so it could show up under Video, Music, and Programs if you like. I will continue working this and If I can get it running anywhere near as well as Navi-X version 3.7.6 was working in Jumpy I will post back. Any thoughts or insight is welcome.

Thanks again!

Thanks again infidel for the quick response.
Peace!

Casper
Posts: 32
Joined: Wed Jul 24, 2013 10:20 pm

Re: Jumpy Plugin (17 May 2013)

Post by Casper » Wed Jul 24, 2013 10:54 pm

Several addons plugin.video.abc-iview and plugin.video.catchuptv.au.ten available here: https://code.google.com/p/xbmc-catchupt ... loads/list
use the following code:

Code: Select all

try:
   current_dir = os.path.dirname(os.path.abspath(__file__))
except:
   current_dir = os.getcwd()

sys.path.append(os.path.join(current_dir, 'resources', 'lib'))
This doesn't work with Jumpy and causes ImportErrors, unable to find the files in \resources\lib. I was able to get around this by changing to explicit imports but there are still other errors that seem to be similarly import path related. Would it be possible to modify Jumpy so that this approach to getting the plugin directory works?

infidel
Developer
Posts: 571
Joined: Thu Jul 12, 2012 5:37 am

Re: Jumpy Plugin (17 May 2013)

Post by infidel » Thu Jul 25, 2013 2:59 am

Casper wrote:Several addons plugin.video.abc-iview and plugin.video.catchuptv.au.ten ... cause ImportErrors ... Would it be possible to modify Jumpy so that this approach to getting the plugin directory works?
Thanks for the well-documented bug report :). Try this update
xbmc-dev-130724.zip

User avatar
S7eele
Posts: 104
Joined: Thu Jun 07, 2012 8:12 am

Re: Jumpy Plugin (17 May 2013)

Post by S7eele » Tue Jul 30, 2013 2:45 pm

@infidel (or anyone else smart enough to answer)

Does the patch pointed to in the above message for casper apply to all Jumpy users or is it specific to the add-ons being used?

@EVERYONE

Does anyone have the latest version (3.7.8 ) of the Navi-X XBMC add-on working with UMS/Jumpy?

After UMSFan provided a link to a custom version of the 3.7.6 Navi-X add-on it worked for a while but as the versions upgraded functionality was lost. I know it has to do with the "Provider" type in the addon.xml and have tinkered a bit but no luck. If anyone has it working I sure would like to ask you some questions. I am running it on Windows but it may translate from other OSs.

Peace!
Peace!

Casper
Posts: 32
Joined: Wed Jul 24, 2013 10:20 pm

Re: Jumpy Plugin (17 May 2013)

Post by Casper » Tue Jul 30, 2013 10:31 pm

Thanks for the fast fix infidel, it works great. Jumpy is amazing.

@S7eele the fix is a small improvement to general plugin compatibility.

Some more plugin compatibility bugs:

1) plugin.video.abc-iview

Code: Select all

AttributeError: ListItem instance has no attribute 'addStreamInfo'
Apparently this attribute is new to Frodo and missing in Jumpy. The plugin is not doing a hasattr() check and gets stuck, commented it out without issue.


2) plugin.video.abc-iview

Code: Select all

File "C:\Program Files (x86)\Universal Media Server\plugins\jumpy\xbmc\xbmcinit.py", line 401, in run_addon
    exec codeobj in mod.__dict__
  File "C:\Users\David8\AppData\Roaming\XBMC\addons\plugin.video.abc-iview\default.py", line 40, in <module>
    utils.log('Dir: %s' % current_dir)
AttributeError: 'module' object has no attribute 'log'
Normally this would work but in this context it does not, commented out utils.log and everything else works, seems like xbmcinit is doing something differently?

3) plugin.video.iplayer available from here

Code: Select all

thumbfile  = os.path.join( xbmc.translatePath( "special://profile" ), "Thumbnails", "Video", thumbcache[ 0 ], thumbcache )
IndexError: string index out of range
thumbcache = xbmc.getCacheThumbName() is returning an empty string with Jumpy while XBMC is returning a file string. The plugin checks to see if the file exists, if it does it reports 'Reusing existing thumbfile', but doesn't check to make sure the thumbcache string is not empty before reading the first char (plugin bug). I never had this problem with XBMC so Jumpy should be returning a file string.

4) plugin.video.iplayer

Code: Select all

File "C:\Program Files (x86)\Universal Media Server\plugins\jumpy\xbmc\xbmcinit.py", line 401, in run_addon
    exec codeobj in mod.__dict__
  File "C:\Users\David8\AppData\Roaming\XBMC\addons\plugin.video.iplayer\default.py", line 1082, in <module>
    watch(feed, pid, showDialog)
  File "C:\Users\David8\AppData\Roaming\XBMC\addons\plugin.video.iplayer\default.py", line 1016, in watch
    while player.isPlaying() and not xbmc.abortRequested:
  File "C:\Program Files (x86)\Universal Media Server\plugins\jumpy\xbmc\xbmc.py", line 279, in isPlaying
    return self.playing
AttributeError: IPlayer instance has no attribute 'playing'
Looks like a similar problem to 2) above?

5) plugin.video.reddit.bc available from the bluecop repo is failing at addDirectoryItem() with the URL:

Code: Select all

youtubeurl = 'plugin://plugin.video.youtube/?action=play_video&videoid=%s' % youtubeID
It tries to invoke the youtube plugin (installed & working) which Jumpy does not seem to understand and is triggering an exception. Changing the plugin to use a raw youtube URL works with Jumpy but is not using the youtube plugin or its settings. Is this functionality possible with Jumpy?

xtjoeytx
Posts: 2
Joined: Wed Jul 31, 2013 4:41 am

Re: Jumpy Plugin (17 May 2013)

Post by xtjoeytx » Wed Jul 31, 2013 4:52 am

Jumpy no longer works for UMS for 3.0.0-a2 (and on) as it uses some deprecated functions. I went through fixing the problems but I was experiencing a problem with the url resolver. Might be caused by 64bit java but it was trying to listen to the same socket which would cause socket error 10013.

Decided to just downgrade back to 3.0.0-a1 and disable the url resolver and everything seems to be working correctly.

infidel
Developer
Posts: 571
Joined: Thu Jul 12, 2012 5:37 am

Re: Jumpy Plugin (17 May 2013)

Post by infidel » Wed Jul 31, 2013 5:42 am

Casper wrote:Jumpy is amazing
thx, amazing that it works at all :).
Casper wrote:1) plugin.video.abc-iview... addStreamInfo
Fixed (I noticed this the other day too).
Casper wrote:2) plugin.video.abc-iview

Code: Select all

AttributeError: 'module' object has no attribute 'log'
Can't reproduce this one (you seem to have a different version of the addon), please post logs.
Casper wrote:3) plugin.video.iplayer...thumbcache
4) plugin.video.iplayer

Code: Select all

AttributeError: IPlayer instance has no attribute 'playing'
Fixed (I think, geoblocked in the US so I'm flying blind vis. iplayer).
Casper wrote:5) plugin.video.reddit.bc

Code: Select all

youtubeurl = 'plugin://plugin.video.youtube/?action=play_video&videoid=%s' % youtubeID
jumpy already supports plugin:// urls, but I did add a fix recently which may be relevant. It's working ok for me, post logs if you still have problems.
xbmc-dev-130730.zip
unzip to plugins/jumpy/xbmc/
(20.67 KiB) Downloaded 258 times

infidel
Developer
Posts: 571
Joined: Thu Jul 12, 2012 5:37 am

Re: Jumpy Plugin (17 May 2013)

Post by infidel » Wed Jul 31, 2013 5:53 am

S7eele wrote:Does the patch pointed to in the above message for casper apply to all Jumpy users or is it specific to the add-ons being used?
Hi, yes I try to post only general fixes as Casper points out, so you can always update unless noted otherwise.
S7eele wrote:Does anyone have the latest version (3.7.8 ) of the Navi-X XBMC add-on working with UMS/Jumpy?
Sorry, I do mean to get to back to this one day, I've been busy lately trying to wrap up the next release :).

infidel
Developer
Posts: 571
Joined: Thu Jul 12, 2012 5:37 am

Re: Jumpy Plugin (17 May 2013)

Post by infidel » Wed Jul 31, 2013 6:05 am

xtjoeytx wrote:Jumpy no longer works for UMS for 3.0.0-a2 (and on) as it uses some deprecated functions.
You're right, already done and soon (hopefully) to be released. I may have to post 2 versions since UMS 3+ hasn't been adopted by everyone. +1 to you for jumping in and patching things up on your own :).
xtjoeytx wrote:I was experiencing a problem with the url resolver
If you post logs I'll look into it.

Post Reply